6.0.0-git
2019-05-25

[#10805] Add stream support to Horde_Db
Summary Add stream support to Horde_Db
Queue Horde Framework Packages
Queue Version Git master
Type Enhancement
State Resolved
Priority 2. Medium
Owners Horde Developers (at) , mrubinsk (at) horde (dot) org
Requester jan (at) horde (dot) org
Created 2011-11-27 (2736 days ago)
Due
Updated 2017-02-10 (834 days ago)
Assigned 2016-01-28 (1213 days ago)
Resolved 2017-02-02 (842 days ago)
Milestone
Patch No

History
2017-02-10 12:18:12 Git Commit Comment #11 Reply to this comment
Changes have been made in Git (master):

commit 217e9074dbd2b5e90fdc1db5b618ab2fafccdc5c
Author: Jan Schneider <jan@horde.org>
Date:   Fri Feb 10 13:13:35 2017 +0100

     Catch errors from lastInsertId() (Request #10805).

  framework/Db/lib/Horde/Db/Adapter/Pdo/Base.php | 11 ++++++++---
  1 file changed, 8 insertions(+), 3 deletions(-)

http://github.com/horde/horde/commit/217e9074dbd2b5e90fdc1db5b618ab2fafccdc5c
2017-02-06 21:12:21 Git Commit Comment #10 Reply to this comment
Changes have been made in Git (master):

commit c280596aa28f42b62d42dd776d701894dbeb4383
Author: Jan Schneider <jan@horde.org>
Date:   Mon Feb 6 22:11:54 2017 +0100

     Make the Horde_Db_Value_* classes separate again (Request #10805).

  framework/Db/lib/Horde/Db/Adapter/Base.php     |  2 +-
  framework/Db/lib/Horde/Db/Adapter/Pdo/Base.php |  3 +-
  framework/Db/lib/Horde/Db/Value/Binary.php     | 74 +-------------------
  framework/Db/lib/Horde/Db/Value/Lob.php        | 96 
++++++++++++++++++++++++++
  framework/Db/lib/Horde/Db/Value/Text.php       |  2 +-
  framework/Db/package.xml                       |  8 ++-
  6 files changed, 106 insertions(+), 79 deletions(-)

http://github.com/horde/horde/commit/c280596aa28f42b62d42dd776d701894dbeb4383
2017-02-06 21:12:19 Git Commit Comment #9 Reply to this comment
Changes have been made in Git (master):

commit 5c2ec0d929d1ba10831b879c14cee4ef109f07ee
Author: Jan Schneider <jan@horde.org>
Date:   Mon Feb 6 21:58:51 2017 +0100

     Fix streams with PostgreSQL (Request #10805).

  framework/Db/lib/Horde/Db/Adapter/Pdo/Base.php          | 4 +++-
  framework/Db/lib/Horde/Db/Adapter/Postgresql/Column.php | 1 +
  2 files changed, 4 insertions(+), 1 deletion(-)

http://github.com/horde/horde/commit/5c2ec0d929d1ba10831b879c14cee4ef109f07ee
2017-02-03 16:52:29 Git Commit Comment #8 Reply to this comment
Changes have been made in Git (master):

commit 88679069d1c1d9759b468e93356514aa86488796
Author: Jan Schneider <jan@horde.org>
Date:   Fri Feb 3 17:42:54 2017 +0100

     Actually test that BLOBS are correctly written (Request #10805).

  framework/Db/test/Horde/Db/Adapter/TestBase.php | 29 
+++++++++++++++++++++----
  1 file changed, 25 insertions(+), 4 deletions(-)

http://github.com/horde/horde/commit/88679069d1c1d9759b468e93356514aa86488796
2017-02-03 16:52:28 Git Commit Comment #7 Reply to this comment
Changes have been made in Git (master):

commit f94c4588c737cd17c9374099ef256e0193cef0c0
Author: Jan Schneider <jan@horde.org>
Date:   Fri Feb 3 17:42:05 2017 +0100

     Make streams work with Oracle too (Request #10805).

  framework/Db/lib/Horde/Db/Adapter/Oci8.php      | 6 +++++-
  framework/Db/test/Horde/Db/Adapter/TestBase.php | 2 +-
  2 files changed, 6 insertions(+), 2 deletions(-)

http://github.com/horde/horde/commit/f94c4588c737cd17c9374099ef256e0193cef0c0
2017-02-03 16:52:26 Git Commit Comment #6 Reply to this comment
Changes have been made in Git (master):

commit ea32d50494dcadacd5173f8059f6f49f8b3dfbf1
Author: Jan Schneider <jan@horde.org>
Date:   Fri Feb 3 17:36:53 2017 +0100

     Make the $value a string-only property again.

     It's a BC break that this might sometimes be a stream now. 
Instead make $value a setter/getter and add $stream property too. 
Convert between these two on the fly.
     Also make Horde_Db_Value_Text extend Horde_Db_Value_Binary 
because they share most of the code. This requires to change some 
class tests though, because "instanceof Horde_Db_Value_Binary" is true 
now for Value_Text objects too.

     Request: 10805

  framework/Db/lib/Horde/Db/Adapter/Base.php     |  2 +-
  framework/Db/lib/Horde/Db/Adapter/Oci8.php     |  8 +--
  framework/Db/lib/Horde/Db/Adapter/Pdo/Base.php |  8 +--
  framework/Db/lib/Horde/Db/Value/Binary.php     | 89 
++++++++++++++++++++------
  framework/Db/lib/Horde/Db/Value/Text.php       | 25 +-------
  5 files changed, 80 insertions(+), 52 deletions(-)

http://github.com/horde/horde/commit/ea32d50494dcadacd5173f8059f6f49f8b3dfbf1
2017-02-02 16:07:51 Michael Rubinsky Comment #5
Assigned to Michael Rubinsky
State ⇒ Resolved
Reply to this comment
commit e55ed28ae5582b0a188c12b1064bd7c8cbeb6565
Author: Michael J Rubinsky <mrubinsk at horde.org>
Date:   Wed Feb 1 22:58:28 2017 -0500

     Accept stream resources as the value of Horde_Db_Value objects.

     For drivers that can support it, will bind the stream resource as
     the data. Currently only implemented in PDO adapter.

  framework/Db/lib/Horde/Db/Adapter/Pdo/Base.php  | 145 
++++++++++++++++++++++++
  framework/Db/lib/Horde/Db/Value/Binary.php      |   8 +-
  framework/Db/lib/Horde/Db/Value/Text.php        |   7 +-
  framework/Db/test/Horde/Db/Adapter/TestBase.php |  55 +++++++++
  4 files changed, 213 insertions(+), 2 deletions(-)

http://github.com/horde/horde/commit/e55ed28ae5582b0a188c12b1064bd7c8cbeb6565
2016-01-28 16:47:44 Jan Schneider State ⇒ Assigned
Priority ⇒ 2. Medium
 
2011-12-21 03:58:56 Michael Slusarz Assigned to Horde DevelopersHorde Developers
Taken from Michael Slusarz
 
2011-12-02 21:19:59 Michael Slusarz Comment #4 Reply to this comment
Can you stub out what you'd like this to look like, from an API 
point of view?
I don't think this requires anything more than allowing an array of 
bound parameters to include stream values.  In other words, the array 
of bound parameters can contain a mixture of strings and stream 
resources.
2011-12-02 20:48:56 Chuck Hagenbuch Comment #3
Assigned to Michael Slusarz
State ⇒ Feedback
Reply to this comment
Can you stub out what you'd like this to look like, from an API point of view?
2011-11-29 21:28:31 Michael Slusarz Comment #2
Priority ⇒ 3. High
Reply to this comment
Bumping priority.  As previously mentioned, this makes Horde_Db 
useless when handling any sort of decent sized data, unless the PHP 
memory limit is bumped to very large levels.  We are receiving a *lot* 
of feedback on the message lists from users that are running into this 
issue.
2011-11-27 16:28:41 Jan Schneider Comment #1
Type ⇒ Enhancement
State ⇒ Accepted
Priority ⇒ 1. Low
Summary ⇒ Add stream support to Horde_Db
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ No
Reply to this comment

Saved Queries